Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.engine.Messages

    public class Messages

extends MessageBundle

Message bundle used by the BPEL provider implementation.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgDeployFailed(javax.xml.namespace.QName name, java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgDeployRollback(java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgDeployStarting(java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgExpLangRegistrationError(java.lang.String expressionLanguageUri, java.util.Map<java.lang.String,java.lang.String> properties)`
`java.lang.String` | `msgScheduledJobFailed(java.util.Map<java.lang.String,java.lang.Object> jobDetail)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgDeployStarting

    public java.lang.String msgDeployStarting(java.io.File deploymentUnitDirectory)

### msgDeployFailed

    public java.lang.String msgDeployFailed(javax.xml.namespace.QName name,
                                            java.io.File deploymentUnitDirectory)

### msgDeployRollback

    public java.lang.String msgDeployRollback(java.io.File deploymentUnitDirectory)

### msgExpLangRegistrationError

    public java.lang.String msgExpLangRegistrationError(java.lang.String expressionLanguageUri,
                                                        java.util.Map<java.lang.String,java.lang.String> properties)

### msgScheduledJobFailed

    public java.lang.String msgScheduledJobFailed(java.util.Map<java.lang.String,java.lang.Object> jobDetail)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD